Subject: Re: Dancy tangerines

From: [email-masked]
Date: 30 Jan 94 03:00:27 GMT

Wow! I really enjoyed your tribute to Dancy tangerines.  Where do they
come from?  Where are they available?  Have you tried clementines from
Morocco?

---

From: [email-masked] (Richard K Harrison)
Date: 30 Jan 94 09:07:15 GMT

Dancy tangerines grow best in Florida.  Apparently they are a
spontaneous mutation that occured a century ago and was noticed
by a man named, you guessed it, Dancy.  They are normally on the
market from late November to mid-January.

Clementines are nice.  Minneola tangelos (aka honeybell) are good too.